<?php

defined( 'ABSPATH' ) || exit;
// set global options value
if(!isset($domik_addons_options)) 
    $domik_addons_options = get_option( 'domik-addons-options', array() ); 

final class Domik_Addons { 
    public $cthversion = '3.0.4';
    public $cart = null;
    private static $_instance;

    public $options = null;
    private $plugin_url;
    private $plugin_path;

    private function __construct() {
        $this->define_constants();
        $this->includes();
        $this->init_hooks();
    }

    private function init_hooks() {
        add_action('plugins_loaded', array( $this, 'load_plugin_textdomain' ));
        

        add_action( 'init', array( $this, 'init' ), 0 );

        add_filter('widget_text', 'do_shortcode');

        // add_shortcode('gallery', '__return_false');
        
        add_action( 'widgets_init', array( $this, 'register_widgets' ) );

    }

    public function load_plugin_textdomain(){
        load_plugin_textdomain( 'domik-add-ons', false, plugin_basename(dirname(BBT_PLUGIN_FILE)) . '/languages' );
    }


    public function register_widgets() {
        // register_widget( 'Domik_About_Author' );
        // register_widget( 'Domik_Recent_Posts' );
        // register_widget( 'Domik_Instagram_Feed' );
        // register_widget( 'Domik_Banner' );
        // register_widget( 'Domik_Banner_Video' );
        // register_widget( 'Domik_Twitter_Feed' );
        // register_widget( 'Domik_Partners' );
        // register_widget( 'Domik_Languages' );
    }

    public static function getInstance() {
        if ( ! ( self::$_instance instanceof self ) ) {
            self::$_instance = new self();
        }

        return self::$_instance;
    }

    public function __clone() {
    }

    public function __wakeup() {
    }

    private function define_constants() {
        $upload_dir = wp_upload_dir( null, false );

        $this->define( 'BBT_ABSPATH', plugin_dir_path( BBT_PLUGIN_FILE ) );
        $this->define( 'BBT_DIR_URL', plugin_dir_url( BBT_PLUGIN_FILE ) );
        $this->define( 'BBT_VERSION', $this->cthversion );
        $this->define( 'BBT_META_PREFIX', '_cth_' );
        $this->define( 'BBT_DEBUG', true );
        $this->define( 'BBT_LOG_FILE', $upload_dir['basedir'] .'/cthdev.log' );


        $this->plugin_url = plugin_dir_url(BBT_PLUGIN_FILE);
        $this->plugin_path = plugin_dir_path(BBT_PLUGIN_FILE);
    }

    private function define( $name, $value ) {
        if ( ! defined( $name ) ) {
            define( $name, $value );
        }
    }

    public function is_request( $type ) {
        switch ( $type ) {
            case 'admin':
                return is_admin();
            case 'ajax':
                return defined( 'DOING_AJAX' );
            case 'frontend':
                return ( ! is_admin() || defined( 'DOING_AJAX' ) ) && ! defined( 'DOING_CRON' );
        }
    }

    private function includes() {
        require_once BBT_ABSPATH . 'includes/core-functions.php';
        require_once BBT_ABSPATH . 'includes/class-cpt.php';

        if($this->is_request('admin')){
            // plugin option values
            require_once BBT_ABSPATH . 'includes/option_values.php';
            /* plugin options */
            require_once BBT_ABSPATH . 'includes/class-options.php';

            require_once BBT_ABSPATH . 'includes/class-admin-scripts.php';
            
            require_once BBT_ABSPATH . 'includes/cmb2-init.php';

            require_once BBT_ABSPATH . 'includes/class-import.php';
        }

        if($this->is_request('frontend')){
            require_once BBT_ABSPATH . 'includes/class-frontend-scripts.php';
            require_once BBT_ABSPATH . 'includes/class-ajax-handler.php';
        }

        require_once BBT_ABSPATH . 'includes/vc-elements.php';
        require_once BBT_ABSPATH . 'widgets/shortcodes.php';

    }

    public function init() {

    }

    
}
