<?php 
/* add_ons_php */

defined( 'ABSPATH' ) || exit;

class Bbt_Class_Frontend_Scripts {

    private static $plugin_url;

    public static function init(){
        self::$plugin_url = plugin_dir_url(BBT_PLUGIN_FILE);    
        add_action( 'wp_enqueue_scripts', array(get_called_class(), 'enqueue_scripts') );       
    }


    public static function enqueue_scripts(){

        wp_enqueue_style( 'domik-add-ons', self::$plugin_url .'assets/css/domik-add-ons.min.css' ); 

        wp_enqueue_script( 'domik-addons', self::$plugin_url ."assets/js/domik-add-ons.min.js" , array('jquery'), null , true );

        $_domik_add_ons = array(
            'url'           => esc_url(admin_url( 'admin-ajax.php' ) ),
            'nonce'         => wp_create_nonce( 'domik-add-ons' ),
            
            'gcaptcha'          => ( domik_addons_get_option('enable_g_recaptcah') == 'yes' && domik_addons_get_option('g_recaptcha_site_key') != '' )? true: false,
            'gcaptcha_key'      => domik_addons_get_option('g_recaptcha_site_key'),
        );

        wp_localize_script( 'domik-addons', '_domik_add_ons', $_domik_add_ons );

        // google reCAPTCHA - v2
        if( domik_addons_get_option('enable_g_recaptcah') == 'yes' && domik_addons_get_option('g_recaptcha_site_key') != '' )
            wp_enqueue_script( 'g-recaptcha', "https://www.google.com/recaptcha/api.js?onload=cthCaptchaCallback&render=explicit#cthasync#cthdefer" , array('domik-addons'), null , true );
    }
}

Bbt_Class_Frontend_Scripts::init();