<?php


function domik_addons_get_option( $setting, $default = null ) { 
    global $domik_addons_options;

    $default_options = array(
        

    );
    $value = false;
    if ( isset( $domik_addons_options[ $setting ] ) ) {
        $value = $domik_addons_options[ $setting ];
    }else {
        if(isset($default)){
            $value = $default;
        }else if( isset( $default_options[ $setting ] ) ){
            $value = $default_options[ $setting ];
        }
    }
    return $value;
}

add_action( 'domik_login_additional', function(){
    domik_addons_display_recaptcha('loginCaptcha');
} );
add_action( 'domik_reg_additional', function(){
    domik_addons_display_recaptcha('regCaptcha');
} );
add_action( 'domik_advanced_reg_additional', function(){
    domik_addons_display_recaptcha('adRegCaptcha');
} );


function domik_addons_display_recaptcha($ele_id){
    if( domik_addons_get_option('enable_g_recaptcah') == 'yes' && domik_addons_get_option('g_recaptcha_site_key') != '' ) 
        echo '<div id="'.$ele_id.'" class="cth-recaptcha mt-20"></div>';
}

function domik_addons_verify_recaptcha(){
        
    if( domik_addons_get_option('enable_g_recaptcah') == 'yes' && domik_addons_get_option('g_recaptcha_secret_key') != '' ){
        if( empty( $_POST['g-recaptcha-response'] ) ) return false;
        $response = wp_remote_post( 
            'https://www.google.com/recaptcha/api/siteverify' ,
            array(
                'body' =>   array(
                                'secret'   => domik_addons_get_option('g_recaptcha_secret_key'),
                                'response' => $_POST['g-recaptcha-response'],
                                'remoteip' => isset($_SERVER['HTTP_X_FORWARDED_FOR']) ? $_SERVER['HTTP_X_FORWARDED_FOR'] : $_SERVER['REMOTE_ADDR']
                            )
            )
        );

        // return json_decode( $response['body'] ); // captcha: {success: true, challenge_ts: "2019-03-19T09:58:27Z", hostname: "localhost"}

        if( is_wp_error( $response ) || empty($response['body']) || ! ($json = json_decode( $response['body'] )) || ! $json->success ) {
            //return new WP_Error( 'validation-error',  __('reCAPTCHA validation failed. Please try again.' ) );
            return false;
        }

        return true;
    }

    return true;
}


// https://stackoverflow.com/questions/10808109/script-tag-async-defer
function domik_addons_add_async_forscript($url)
{
    if(is_admin()){
        return str_replace(array('#cthasync','#cthdefer'), '', $url);
    }else{
        if(strpos($url, '#cthasync') !== false) $url = str_replace('#cthasync', '', $url)."' async='async"; 
        if(strpos($url, '#cthdefer') !== false) $url = str_replace('#cthdefer', '', $url)."' defer='defer"; 
    }

    return $url;
}
add_filter('clean_url', 'domik_addons_add_async_forscript', 11, 1);
