<?php
vc_map( array(
    "name" => __("Home Swiper Slider", 'domik-add-ons'),
    "description" => __("Home Page Slider using swiper plugin",'domik-add-ons'),
    "base" => "domik_home_swiper",
    "category"  => 'Domik Theme',
    "as_parent" => array('only' => 'domik_home_swiper_item'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_element" => true,
    "show_settings_on_create" => true,
    "class"=>'domik_owl_home_swiper',
    "icon" => BBT_DIR_URL ."assets/cththemes-logo.png", // Simply pass url to your icon here
    "params" => array(
        array(
            "type" => "textfield",
            "heading" => __("Speed", 'domik-add-ons'),
            "param_name" => "speed",
            "value"=>'1200',
            "description" => __("Duration of transition between slides (in ms)", 'domik-add-ons')
        ),
        array(
            "type" => "dropdown",
            "class"=>"",
            "heading" => __('Direction', 'domik-add-ons'),
            "param_name" => "direction",
            "value" => array(   
                            __('Horizontal', 'domik-add-ons') => 'horizontal',  
                            __('Vertical', 'domik-add-ons') => 'vertical',                                                                                
                        ),
            'std'=>'horizontal',
            // "description" => __("", 'domik'), 
        ),
        array(
            "type" => "textfield",
            "heading" => __("Auto Play", 'domik-add-ons'),
            "param_name" => "autoplay",
            "description" => __("Number in mili-second (5000), leave it blank to disable", 'domik-add-ons')
        ),
        array(
            "type" => "dropdown",
            "class"=>"",
            "heading" => __('Loop', 'domik-add-ons'),
            "param_name" => "loop",
            "value" => array(   
                            __('No', 'domik-add-ons') => 'false',  
                            __('Yes', 'domik-add-ons') => 'true',                                                                                
                        ),
            "description" => __("Set this to Yes to enable continuous loop mode", 'domik-add-ons'), 
            'std'=>'false',
        ),
        array(
            "type" => "dropdown",
            "class"=>"",
            "heading" => __('Mouse Wheel Control', 'domik-add-ons'),
            "param_name" => "mousewheel",
            "value" => array(   
                            __('Yes', 'domik-add-ons') => 'true',  
                            __('No', 'domik-add-ons') => 'false',                                                                                
                        ),
            "description" => __("Set this to Yes if you want to enable navigation through slides using mouse wheel", 'domik-add-ons'), 
            'std'=>'true',
        ),
        // array(
        //     "type" => "textfield",
        //     "heading" => __("Slide Speed", "domik"),
        //     "param_name" => "slidespeed",
        //     "description" => __("Slide speed in milliseconds", 'domik'),
        //     "value" => "200"
        // ),
        // array(
        //     "type" => "textfield",
        //     "heading" => __("ID", "domik"),
        //     "param_name" => "el_id",
        //     "description" => __("Slider id", 'domik')
        // ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", 'domik-add-ons'),
            "param_name" => "el_class",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'domik-add-ons')
        ),
        
    ),
    "js_view" => 'VcColumnView',
    // 'admin_enqueue_js' => get_template_directory_uri() . "/vc_extend/domik-elements.js",
));

vc_map( array(
    "name" => __("Slide Item", 'domik-add-ons'),
    "base" => "domik_home_swiper_item",
    "content_element" => true,
    "icon" => BBT_DIR_URL . "assets/cththemes-logo.png",
    "as_child" => array('only' => 'domik_home_swiper'),
    "params" => array(
        array(
            "type"      => "attach_image",
            "holder"    => "div",
            "class"     => "ajax-vc-img",
            "heading"   => __("Slide Image", 'domik-add-ons'),
            "param_name"=> "slideimg",
            "description" => __("Slide Image", 'domik-add-ons')
        ),
        array(
           
            "type"      => "textarea_raw_html",
            //"holder"    => "div",
            "class"     => "",
            "ace_mode"=>"html",
            "ace_style"=>"min-height:200px;border:1px solid #bbb;",
            "heading"   => __("Slide Content", 'domik-add-ons'),
            "param_name"=> "content",
            "description" => __("Slide Content", 'domik-add-ons')
        ),  
        array(
            "type"      => "textfield",
            "class"     => "",
            "heading"   => __("Overlay Opacity", 'domik-add-ons'),
            "param_name"=> "opacity",
            "value"     => "0.2",
            "description" => __("Overlay Opacity value 0.0 - 1", 'domik-add-ons')
        ), 
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", 'domik-add-ons'),
            "param_name" => "el_class",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'domik-add-ons')
        ),
        
        
        
    ),
    // 'js_view' => 'DomikImagesView',
    
));

//Your "container" content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_Domik_Home_Swiper extends WPBakeryShortCodesContainer {}
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_Domik_Home_Swiper_Item extends WPBakeryShortCode {     
    }
}