<?php
vc_map( array(
    "name"      => esc_html__("Portfolios Grid", 'domik-add-ons'),
   "description" => esc_html__("Grid layout of portfolio items",'domik-add-ons'),
   "base"      => "domik_portfolios",
   "class"     => "",
   "icon" => BBT_DIR_URL . "assets/cththemes-logo.png",
   "category"  => 'Domik Theme',
   "params"    => array(
        array(
            "type" => "textfield", 
            "heading" => __("Portfolio Category IDs to exclude", 'domik-add-ons'), 
            "param_name" => "cat_ids", 
            "description" => __("Enter portfolio category ids to exclude, separated by a comma. Leave empty to disaplay all categories.", 'domik-add-ons')
        ), 
        array(
            "type" => "dropdown", 
            "class" => "", 
            "heading" => __('Order Portfolio Categories by', 'domik-add-ons'), 
            "param_name" => "cat_order_by", 
            "value" => array(
                __('Name', 'domik-add-ons') => 'name', 
                __('ID', 'domik-add-ons') => 'id', 
                __('Count', 'domik-add-ons') => 'count', 
                __('Slug', 'domik-add-ons') => 'slug', 
                __('None', 'domik-add-ons') => 'none',
            ), 
            "description" => __("Order Portfolio Categories by", 'domik-add-ons'), 
            "std" => 'name',
        ), 
        array(
            "type" => "dropdown", 
            "class" => "", 
            "heading" => __('Order Portfolio Categories', 'domik-add-ons'), 
            "param_name" => "cat_order", 
            "value" => array(
                __('Ascending', 'domik-add-ons') => 'ASC',
                __('Descending', 'domik-add-ons') => 'DESC', 
                
            ), 
            "description" => __("Order Portfolio Categories", 'domik-add-ons'),
            "std" => 'ASC',
        ), 
        array(
            "type" => "dropdown", 
            "class" => "", 
            "heading" => __('Show Filter', 'domik-add-ons'), 
            "param_name" => "show_filter", 
            "value" => array(
                __('Yes', 'domik-add-ons') => 'yes', 
                __('No', 'domik-add-ons') => 'no', 
            ), 
            "description" => __("Show Filter", 'domik-add-ons'), 
            "std" => 'yes',
        ), 
        array(
            "type" => "textfield", 
            "holder" => "div",
            "heading" => __("Enter Portfolio IDs", 'domik-add-ons'), 
            "param_name" => "ids", 
            "description" => __("Enter portfolio ids to show, separated by a comma.", 'domik-add-ons')
        ), 
        array(
            "type" => "textfield", 
            "heading" => esc_html__("Portfolio IDs to Exclude", 'domik-add-ons'), 
            "param_name" => "ids_not", 
            "description" => esc_html__("Enter portfolio ids to exclude, separated by a comma. Use if the field above is empty. Leave empty to get all.", 'domik-add-ons')
        ), 
        array(
            "type" => "dropdown", 
            "class" => "", 
            "heading" => __('Order Portfolios by', 'domik-add-ons'), 
            "param_name" => "order_by", 
            "value" => array(
                __('Date', 'domik-add-ons') => 'date', 
                __('ID', 'domik-add-ons') => 'ID', 
                __('Author', 'domik-add-ons') => 'author', 
                __('Title', 'domik-add-ons') => 'title', 
                __('Modified', 'domik-add-ons') => 'modified',
            ), 
            "description" => __("Order Portfolios by", 'domik-add-ons'), 
            "std" => 'date',
        ), 
        array(
            "type" => "dropdown", 
            "class" => "", 
            "heading" => __('Order Portfolios', 'domik-add-ons'), 
            "param_name" => "order", 
            "value" => array(
                __('Ascending', 'domik-add-ons') => 'ASC',
                __('Descending', 'domik-add-ons') => 'DESC', 
                
            ), 
            "description" => __("Order Portfolios", 'domik-add-ons'),
            "std" => 'DESC',
        ), 
        array(
            "type" => "textfield",
            "heading" => __("Post to show", 'domik-add-ons'),
            "param_name" => "posts_per_page",
            "description" => __("Number of portfolio items to show (-1 for all).", 'domik-add-ons'),
            "value"=> '-1',
        ),
        array(
            "type" => "dropdown", 
            "class" => "", 
            "heading" => __('Columns Grid', 'domik-add-ons'), 
            "param_name" => "columns_grid", 
            "value" => array(
                __('One Column', 'domik-add-ons') => 'one',
                __('Two Columns', 'domik-add-ons') => 'two', 
                __('Three Columns', 'domik-add-ons') => 'three', 
                __('Four Columns', 'domik-add-ons') => 'four', 
                __('Five Columns', 'domik-add-ons') => 'five', 
                
            ), 
            "description" => __("Order Portfolios", 'domik-add-ons'),
            "std" => 'three',
        ),
        array(
            "type" => "dropdown", 
            "class" => "", 
            "heading" => __('Spacing', 'domik-add-ons'), 
            "param_name" => "spacing", 
            "value" => array(
                __('Small', 'domik-add-ons') => 'small',
                __('Big', 'domik-add-ons') => 'big', 
                __('None', 'domik-add-ons') => 'none',  
                
            ), 
            "description" => __("Spacing", 'domik-add-ons'),
            "std" => 'none',
        ),
        array(
            "type" => "dropdown", 
            "class" => "", 
            "heading" => __('Show Info', 'domik-add-ons'), 
            "param_name" => "show_info", 
            "value" => array(
                __('Yes', 'domik-add-ons') => 'yes', 
                __('No', 'domik-add-ons') => 'no', 
            ), 
            "description" => __("Show Info", 'domik-add-ons'), 
            "std" => 'no',
        ), 

        array(
            "type" => "dropdown", 
            "class" => "", 
            "heading" => esc_html__('Enable Gallery', 'domik-add-ons'), 
            "param_name" => "enable_gallery", 
            "value" => array(
                esc_html__('Yes', 'domik-add-ons') => 'yes', 
                esc_html__('No', 'domik-add-ons') => 'no', 
            ), 
            //"description" => esc_html__("For Style 2 only", 'domik'), 
            "std" => 'no',
            
        ), 

        array(
            "type" => "dropdown", 
            "class" => "", 
            "heading" => esc_html__('Use INFINITE scroll to load more items?', 'domik-add-ons'), 
            "param_name" => "show_loadmore", 
            "value" => array(
                esc_html__('Yes', 'domik-add-ons') => 'yes', 
                esc_html__('No', 'domik-add-ons') => 'no', 
            ), 
            "std" => 'yes',
        ), 

        array(
            "type" => "textfield",
            "holder" => "div",
            "heading" => esc_html__("Load more items", 'domik-add-ons'),
            "param_name" => "loadmore_posts",
            "description" => esc_html__("Number of items to get on additional loading.", 'domik-add-ons'),
            "value"=> '3',
            'dependency' => array(
                'element' => 'show_loadmore',
                'value' => array( 'yes' ),
                'not_empty' => false,
            ),
        ),

        array(
            "type" => "dropdown", 
            "class" => "", 
            "heading" => esc_html__('Show Pagination', 'domik-add-ons'), 
            "param_name" => "show_pagination", 
            "value" => array(
                esc_html__('Yes', 'domik-add-ons') => 'yes', 
                esc_html__('No', 'domik-add-ons') => 'no', 
            ), 
            "std" => 'no',
            'dependency' => array(
                'element' => 'show_loadmore',
                'value' => array( 'no' ),
                'not_empty' => false,
            ),
        ), 


        array(
            "type" => "textfield",
            "heading" => __("Extra class name", 'domik-add-ons'),
            "param_name" => "el_class",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'domik-add-ons')
        ),

        array(
            'type' => 'css_editor',
            'heading' => esc_html__( 'Css', 'domik-add-ons' ),
            'param_name' => 'css',
            'group' => esc_html__( 'Design options', 'domik-add-ons' ),
        ),

    )));


if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_Domik_Portfolios extends WPBakeryShortCode {}
}