<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $galleryimgs
 * @var $columns
 * @var $nopadding
 * @var $css
 * Shortcode class
 * @var $this WPBakeryShortCode_Domik_Images_Gallery
 */
$el_class = $css = $galleryimgs = $columns = $nopadding = $spacing = $disable_title = $loaded = $show_loadmore = $lmore_items = '';
// $el_class = $galleryimgs = $columns = $nopadding = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'domik_images_gallery_wrap gallery-items-wrapper',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);

$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );



if(!empty($galleryimgs)){
    $lmore_data = false;
    if($show_loadmore == 'yes'){
        $lmore_data = array();
        $lmore_data['images'] = $galleryimgs;
        $lmore_data['loaded'] = $loaded;
        $lmore_data['action'] = 'domik_lm_gal';
        $lmore_data['lmore_items'] = $lmore_items;
        $lmore_data['disable_title'] = $disable_title;

    }

    $gal_imgs = explode(",", $galleryimgs);

    if(!empty($gal_imgs)) : 
        $imgatts = array('class'=>'respimg');

        $gal_classes = 'gallery-items popup-gallery '. $columns.'-coulms grid-'.$spacing.'-pad';
        
    ?>
<div class="<?php echo esc_attr($css_class );?>">

    <div class="<?php echo esc_attr($gal_classes );?>" 
    <?php if($show_loadmore == 'yes' && count($gal_imgs) > $loaded ):?>
     data-lm-request="<?php echo esc_url(admin_url( 'admin-ajax.php' ) ) ;?>"
     data-lm-nonce="<?php echo wp_create_nonce( 'domik_lm_gal' ); ?>"
     data-lm-settings="<?php echo esc_attr(json_encode($lmore_data) ); ?>"
    <?php endif;?>>
        <div class="grid-sizer"></div>
        <?php 
        foreach ($gal_imgs as $key => $img) {
            if($key < $loaded) {

                if($disable_title == 'yes'){
                    $imgtitle  = '';
                }else{
                    $imgtitle  = get_the_title($img );
                }

                $image_alt =    get_post_meta($img, '_wp_attachment_image_alt', true);
                $item_w = '';
                $item_image_w = 'folio-size-one';
                if(strpos($image_alt, "gallery-item-second") !== false){
                    $item_w = 'gallery-item-second';
                    $item_image_w = 'folio-size-second';
                }
                if(strpos($image_alt, "gallery-item-three") !== false){
                    $item_w = 'gallery-item-three';
                    $item_image_w = 'folio-size-three';
                }
                if(strpos($image_alt, "gallery-item-one-tall") !== false){
                    
                    $item_image_w = 'folio-size-one-tall';
                }
            
                ?>
                <div class="gallery-item <?php echo esc_attr($item_w );?>">
                    <div class="grid-item-holder">
                        <div class="box-item">
                            <a href="<?php echo esc_url(wp_get_attachment_url( $img ) );?>" title="<?php echo esc_attr($imgtitle );?>">
                            <span class="overlay"></span> 
                            <?php echo wp_get_attachment_image( $img, $item_image_w , false, $imgatts );?>
                            </a>
                        </div>
                    </div>
                </div>
                <?php
            }
        } ?>
        
    </div>
    <?php if($show_loadmore == 'yes' && count($gal_imgs) > $loaded ):?>
    <div class="gallery-lmore-holder">
        <a class="gallery-load-more" data-click="1" data-remain="yes" href="#"><?php echo wp_kses(__('<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i><span class="sr-only">Loading...</span>','domik-add-ons'), array('i'=>array('class'=>array()),'span'=>array('class'=>array()),) );?></a>
    </div>
    <?php endif;?>
</div>
    <?php
    endif;
}

?>