<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $cat_ids
 * @var $cat_order_by
 * @var $cat_order
 * @var $order
 * @var $order_by
 * @var $ids
 * Shortcode class
 * @var $this WPBakeryShortCode_Domik_Portfolios
 */
$el_class = $css = $cat_ids = $cat_order = $cat_order_by = $order = $order_by = $ids = $ids_not = $show_filter = $posts_per_page = $columns_grid = $spacing = $show_info = $show_loadmore = $loadmore_posts = $show_pagination = $enable_gallery = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'domik-folio-element folio-grid-folios-wrap',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );


if(is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
} else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
}
if(!empty($ids)){
    $ids = explode(",", $ids);
    $post_args = array(
        'post_type' => 'portfolio',
        'paged' => $paged,
        'posts_per_page'=> $posts_per_page,
        'post__in' => $ids,
        'orderby'=> $order_by,
        'order'=> $order,
    );
}elseif(!empty($ids_not)){
    $ids_not = explode(",", $ids_not);
    $post_args = array(
        'post_type' => 'portfolio',
        'paged' => $paged,
        'posts_per_page'=> $posts_per_page,
        'post__not_in' => $ids_not,
        'orderby'=> $order_by,
        'order'=> $order,
    );
}else{
    $post_args = array(
        'post_type' => 'portfolio',
        'paged' => $paged,
        'posts_per_page'=> $posts_per_page,
        'orderby'=> $order_by,
        'order'=> $order,
    );
}

if(!empty($cat_ids)){
    $term_args = array(
        'orderby'           => $cat_order_by, 
        'order'             => $cat_order,
        'exclude'           => $cat_ids,
        'parent'            => 0,
        
    ); 
    $post_args['tax_query'][] = array(
        'taxonomy' => 'skill',
        'field' => 'term_id',
        'terms' => $cat_ids,
        'operator' => 'NOT IN',
    );
}else{
    $term_args = array(
        'orderby'           => $cat_order_by, 
        'order'             => $cat_order,
        'parent' => 0,
        
    ); 
}

?>
<section class="<?php echo esc_attr($css_class );?>">
<?php 
if($show_filter == 'yes') :
    $term_args['taxonomy'] = 'skill';
    $portfolio_skills = get_terms($term_args); 
    if(! empty( $portfolio_skills ) && ! is_wp_error( $portfolio_skills )): ?> 
		<div class="filter-holder">
	        <div class="filter-button">
	            <ul>
	                <li></li>
	                <li></li>
	                <li></li>
	            </ul>
	            <div class="filter-text"><?php _e('Filter','domik-add-ons');?></div>
	        </div>
	        <div class="gallery-filters vis-filter">
	            <a href="#" class="gallery-filter gallery-filter-active"  data-filter="*"><?php _e('All','domik-add-ons');?></a>        
	            <?php foreach($portfolio_skills as $portfolio_skill) { ?>
	                <a href="#" class="gallery-filter " data-filter=".skill-<?php echo esc_attr($portfolio_skill->slug ); ?>"><?php echo esc_html($portfolio_skill->name ); ?></a>
	            <?php } ?>
	        </div>
	    </div>

	<?php 
    endif;
endif;

$folio_posts = new WP_Query($post_args);
if($folio_posts->have_posts()) : 
    $grid_cls = 'gallery-items';
    $grid_cls .= ' '.$columns_grid.'-coulms';
    if($show_info == 'yes'){
        $grid_cls .= ' vis-port-info';
    }else{
        $grid_cls .= ' hid-port-info';
    }
    $grid_cls .= ' grid-'.$spacing.'-pad';
    if( $enable_gallery == 'yes' ){
        $grid_cls .= ' folio-gallery';
    }

    $additional_vars =  array(
        'enable_gallery'=>$enable_gallery,
        // 'show_view_project'=>$show_view_project,
        // 'show_cat'=>$show_cat,
        // 'show_excerpt'=>$show_excerpt,
    );

?>
    <div class="<?php echo esc_attr($grid_cls );?>" 
    <?php if( $show_loadmore == 'yes' && ($posts_per_page != '-1' && $folio_posts->found_posts && $folio_posts->found_posts > $posts_per_page ) ):
    $lmore_data = $post_args;
    $lmore_data['action'] = 'domik_lm_folio';
    $lmore_data['lmore_items'] = $loadmore_posts;
    $lmore_data['additional_vars'] = $additional_vars;
    ?>
     data-lm-request="<?php echo esc_url(admin_url( 'admin-ajax.php' ) ) ;?>"
     data-lm-nonce="<?php echo wp_create_nonce( 'domik_lm_folio' ); ?>"
     data-lm-settings="<?php echo esc_attr(json_encode($lmore_data) ); ?>"
    <?php endif;?>>
        <div class="grid-sizer"></div>
        <?php while($folio_posts->have_posts()) : $folio_posts->the_post(); ?>
                    
            <?php domik_get_template_part( 'template-parts/folio/list', '' , $additional_vars ); ?>
        
        <?php endwhile; ?>
    </div>
    <?php if( $show_pagination == 'yes' ) domik_custom_pagination($folio_posts->max_num_pages, $range = 2, $folio_posts );?>
    <?php if( $show_loadmore == 'yes' && ($posts_per_page != '-1' && $folio_posts->found_posts && $folio_posts->found_posts > $posts_per_page ) ): ?>
    <div class="folio-grid-lmore-holder">
        <a class="folio-load-more" data-click="1" data-remain="yes" href="#"><?php echo wp_kses(__('<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i><span class="sr-only">Loading...</span>','domik-add-ons'), array('i'=>array('class'=>array()),'span'=>array('class'=>array()),) );?></a>
    </div>
    <?php 
    endif;  
endif; 
wp_reset_postdata();?>
</section>