<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * Shortcode class
 * @var $this WPBakeryShortCode_Portfolio_Nav
 */
$el_class = $css = $same_term = $show_all = $all_link = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'portfolio_nav_wrap',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );


$in_same_term = false;
if($same_term == 'yes'){
    $in_same_term = true;
}
?>
<div class="clearfix"></div>
<div class="<?php echo esc_attr($css_class );?>">
	<div class="content-nav domik-folio-single-nav">
		<ul class="pager mgt20 clearfix">
		<?php
		$prev_post = get_adjacent_post( $in_same_term, '', true, 'skill' );
		if ( is_a( $prev_post, 'WP_Post' ) ) :
		?>
		    <li class="previous"><a href="<?php echo get_permalink( $prev_post->ID ); ?>" class="arrow-nav lef-ar-nav ajax" title="<?php echo get_the_title($prev_post->ID ); ?>"><?php echo _x('<i class="fa fa-long-arrow-left"></i>', 'Previous portfolio link', 'domik-add-ons');?></a></li>
		<?php endif ?>
		    <li class="remove-if-first"><span>/</span></li>
		<?php
		$next_post = get_adjacent_post( $in_same_term, '', false, 'skill' );
		if ( is_a( $next_post, 'WP_Post' ) ) :
		?>
		    <li class="next"><a href="<?php echo get_permalink( $next_post->ID ); ?>" class="arrow-nav rig-ar-nav ajax" title="<?php echo get_the_title($next_post->ID ); ?>"><?php echo _x('<i class="fa fa-long-arrow-right"></i>', 'Next portfolio link', 'domik-add-ons');?></a></li>
		<?php endif ?>
	    </ul> 

	    <?php if($show_all == 'yes') :?>
	    <div class="p-all">
	    <?php if($all_link != '') :?>
	        <a href="<?php echo esc_url( $all_link );?>" class="ajax"><i class="fa fa-th-large"></i></a>
	    <?php elseif(domik_global_var('folio_list_link')) : ?>
	        <a href="<?php echo esc_url( domik_global_var('folio_list_link') );?>" class="ajax"><i class="fa fa-th-large"></i></a>
	    <?php endif; ?>
	    </div>
	    <?php endif;?>
	</div>
</div>