<?php
/* banner-php */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>"/>
        <link rel="profile" href="http://gmpg.org/xfn/11" />
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
        
        <?php if ( domik_global_var('favicon','url',true) != '' && ( false == function_exists( 'has_site_icon' ) || false == has_site_icon() ) ) { ?>
        <!-- Favicon -->        
        <link rel="shortcut icon" href="<?php echo esc_url( domik_global_var('favicon','url',true) );?>" type="image/x-icon"/>
        <?php } ?>

        <?php    
        wp_head(); ?>
        
    </head>
    <body <?php body_class( );?>>
        <?php if(domik_get_option('show_loader')):?>  
        <div class="loader domik-loader"><?php echo domik_get_option('loader_icon');?></div>
        <div id="main">
        <?php else :?>
        <div id="main" class="main-hide-loader">
        <?php endif;?> 
            <header class="domik-header">
                <div class="header-inner">
                    <div class="logo-holder">

                        <?php 
                        if(has_custom_logo()){
                            the_custom_logo(); 
                        }else if( domik_global_var('logo','url',true) ){
                            ?>
                            <a class="ajax" href="<?php echo esc_url(home_url('/'));?>">
                                <img src="<?php echo esc_url( domik_global_var('logo','url',true) );?>" 
                                <?php if(domik_get_option('logo_size_width') != ''):?> 
                                 width="<?php echo esc_attr( domik_get_option('logo_size_width') );?>"
                                <?php endif;?>
                                <?php if(domik_get_option('logo_size_height') != '' ):?> 
                                 height="<?php echo esc_attr(domik_get_option('logo_size_height'));?>"
                                <?php endif;?>
                                 class="domik-logo" alt="<?php bloginfo('name');?>" />
                                <?php if(domik_get_option('logo_text')):?>
                                    <h2 class="logo-text"><?php echo esc_html(domik_get_option('logo_text'));?></h2>
                                <?php endif;?>
                                <?php if(domik_get_option('slogan')):?>
                                    <h3 class="slogan"><em><?php echo esc_html(domik_get_option('slogan'));?></em></h3>
                                <?php endif;?>
                            </a>
                            <?php
                        }else echo '<a class="custom-logo-link logo-text ajax" href="'.esc_url( home_url('/' ) ).'"><h2>'.get_bloginfo( 'name' ).'</h2></a>'; 
                        ?>
                    </div>
                    <div class="nav-button-holder">
                        <div class="nav-button vis-m"><span></span><span></span><span></span></div>
                    </div>
                    <div class="nav-holder">
                        <nav>
                        <?php 
                            $defaults1= array(
                                'theme_location'  => 'primary',
                                'menu'            => '',
                                'container'       => '',
                                'container_class' => '',
                                'container_id'    => '',
                                'menu_class'      => 'domik_main-nav',
                                'menu_id'         => '',
                                'echo'            => true,
                                'fallback_cb'     => 'wp_page_menu ',
                                'walker'          => new Walker_Nav_Menu(),
                                'before'          => '',
                                'after'           => '',
                                'link_before'     => '',
                                'link_after'      => '',
                                'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                'depth'           => 0,
                            );
                            
                            if ( has_nav_menu( 'primary' ) ) {
                                wp_nav_menu( $defaults1 );
                            }
                        ?>
                        </nav>
                    </div>
                <?php 
                if(is_active_sidebar('right_menu_widget')){
                    dynamic_sidebar('right_menu_widget');
                }
                ?>
                </div>
                <?php if( domik_get_option('share_names') != '' ): ?>
                    <div class="share-container  isShare"></div>
                    <a class="selectMe shareSelector transition" data-sharenames="<?php echo domik_get_option('share_names');?>"><?php _e('Share','domik');?></a> 
                <?php elseif(is_active_sidebar('social_share_widget' )) :?>
                    <div class="share-container  isShare widget_share"><?php dynamic_sidebar('social_share_widget' );?></div>
                    <a class="selectMe shareSelector transition"><?php _e('Share','domik');?></a> 
                <?php endif;?>
                    
            <?php //endif;?>                 
            </header>

            <div id="wrapper">

                <?php theme_domik_echo_vc_custom_styles(); ?>
                
                <div class="content-holder elem scale-bg2 transition3" >



                    