<?php
/* banner-php */

Redux::setSection( $opt_name, array(
    'title' => __('Portfolio Settings', 'domik'),
    'id'         => 'portfolio-settings',
    'subsection' => false,
    
    'icon'       => 'el-icon-briefcase',
    'fields' => array(

        array(
            'id' => 'folio_style',
            'type' => 'select',
            'title' => esc_html__('Portfolio Layout', 'domik'),
            // 'subtitle' => esc_html__('', 'domik'),
            'desc' => '',
            'options' => array(
                            'style1' => 'Style 1', 
                            'style2' => 'Style 2', 
                            'style3' => 'Style 3'
                        ), //Must provide key => value pairs for select options
            'default' => 'style2'
        ),
        array(
            'id' => 'folio_column',
            'type' => 'select',
            'title' => esc_html__('Portfolio Columns', 'domik'),
            // 'subtitle' => esc_html__('', 'domik'),
            'options' => array('five' => 'Five Columns','four' => 'Four Columns', 'three' => 'Three Columns','two' => 'Two Columns', 'one' => 'One Column'), //Must provide key => value pairs for select options
            'default' => 'three'
        ),
        
        array(
            'id'       => 'folio_posts_per_page',
            'type'     => 'text',
            'title'    => esc_html__( 'Posts per page', 'domik' ),
            'subtitle' => esc_html__( 'Number of post to show per page, -1 to show all posts.', 'domik' ),
            'default'  => '10',
        ),

        array(
            'id' => 'folio_archive_orderby',
            'type' => 'select',
            'title' => esc_html__('Order Portfolio By', 'domik'),
            'options' => array(
                            'none' => esc_html__( 'None', 'domik' ), 
                            'ID' => esc_html__( 'Post ID', 'domik' ), 
                            'author' => esc_html__( 'Post Author', 'domik' ),
                            'title' => esc_html__( 'Post title', 'domik' ), 
                            'name' => esc_html__( 'Post name (post slug)', 'domik' ),
                            'date' => esc_html__( 'Created Date', 'domik' ),
                            'modified' => esc_html__( 'Last modified date', 'domik' ),
                            'parent' => esc_html__( 'Post Parent id', 'domik' ),
                            'rand' => esc_html__( 'Random', 'domik' ),
                        ), //Must provide key => value pairs for select options
            'default' => 'date'
        ),
        array(
            'id' => 'folio_archive_order',
            'type' => 'select',
            'title' => esc_html__('Sort Order', 'domik'),
            'options' => array(
                            'DESC' => esc_html__( 'Descending', 'domik' ),
                            'ASC' => esc_html__( 'Ascending', 'domik' ), 
                            
                        ), //Must provide key => value pairs for select options
            'default' => 'DESC'
        ),

        array(
            'id'       => 'folio_show_info_first',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Info', 'domik' ),
            // 'subtitle' => esc_html__( '', 'domik' ),
            'default'  => false,
        ),
        array(
            'id' => 'folio_pad',
            'type' => 'select',
            'title' => esc_html__('Spacing', 'domik'),
            'subtitle' => esc_html__('The space between portfolio grid items.', 'domik'),
            'desc' => '',
            'options' => array(
                            'small' => esc_html__('Small','domik'), 
                            'big' =>  esc_html__('Big','domik'),
                            'none' =>  esc_html__('None','domik'),
                        ), //Must provide key => value pairs for select options
            'default' => 'none'
        ),
        
        array(
            'id' => 'folio_list_link',
            'type' => 'text',
            'title' => esc_html__('Porfolio List Link', 'domik'),
            'desc' => esc_html__('Link for portfolio list icon on single portfolio page.', 'domik'),
            'default' => esc_url( home_url('/portfolio/' ) ),
        ),

        array(
            'id'       => 'folio_enable_gallery',
            'type'     => 'switch',
            'title'    => esc_html__( 'Enable Image Gallery on Portfolio Grid', 'domik' ),
            // 'subtitle' => esc_html__( '', 'domik' ),
            'default'  => false,
        ),


        array(
            'id'       => 'folio_single_use_old',
            'type'     => 'switch',
            'on'=> esc_html__('Yes', 'domik' ),
            'off'=> esc_html__('No', 'domik' ),
            'title'    => __( 'Use old settings?', 'domik' ),
            'subtitle' => __( 'Enable this option to show old settings on Portfolio Single Page Options panel (on portfolio item editing screen).', 'domik' ),
            'default'  => true,
        ),

    ),
) );
