<?php
/* banner-php */

Redux::setSection( $opt_name, array(
    'title' => esc_html__('Fonts', 'domik'),
    'id'         => 'font-settings',
    'subsection' => false,
    
    'icon'       => 'el-icon-font',
    'fields' => array(
        
        array(
            'id' => 'body-font',
            'type' => 'typography',
            'output' => array('body'),
            'title' => __('Body Font', 'domik'),
            'subtitle' => __('Specify the body font properties.</br> Default</br>font-family: FuturaPT-Book</br>font-size: 12px</br>line-height: 24px</br>font-weight: 400</br>color: #000000', 'domik'),
            'google' => true,
            // 'default' => array(
            //     'color' => '#444444',
            //     'font-size' => '14px',
            //     'line-height' => '24px',
            //     'font-family' => "Open Sans",
            //     'font-weight' => '400',
            // ),
        ),
        array(
            'id' => 'hyperlink-font',
            'type' => 'typography',
            'output' => array('a'),
            'title' => esc_html__('Hyperlink Font', 'domik'),
            'subtitle' => wp_kses(__('Hyperlink font properties.</br> Default</br>font-family: FuturaPT-Book</br>font-size: 12px</br>font-weight: 400</br>color: #000000', 'domik'), array('br','p') ),
            'google' => true,
        ),
        array(
            'id' => 'hyperlink-hover-font',
            'type' => 'typography',
            'output' => array('a:hover'),
            'title' => esc_html__('Hyperlink Hover Font', 'domik'),
            'subtitle' => wp_kses(__('Hyperlink hover font properties.</br> Default</br>font-family: FuturaPT-Book</br>font-size: 12px</br>font-weight: 400</br>color: #000000', 'domik'), array('br','p') ),
            'google' => true,
        ),
        array(
            'id' => 'paragraph-font',
            'type' => 'typography',
            'output' => array('p'),
            'title' => __('Paragraph Font', 'domik'),
            'subtitle' => __('Specify paragraph font properties. Default</br>font-family: FuturaPT-Book</br>font-size: 15px</br>line-height: 24px</br>font-weight: 400</br>color: #000000', 'domik'),
            'google' => true,
            // 'default' => array(
            //     'font-size' => '14px',
            //     'line-height' => '18px',
            //     'font-family' => "Open Sans",
            // ),
        ),
        array(
            'id' => 'header-font',
            'type' => 'typography',
            'output' => array('h1, h2, h3, h4, h5, h6'),
            'title' => __('Title-Header Font', 'domik'),
            'subtitle' => __('Specify the title and heading font properties.</br> Default</br>font-family: FuturaPT-Book</br>color: #000000', 'domik'),
            'google' => true,
            // 'default' => array(
            //     'color' => '#222222',
            //     'font-family' => "Open Sans",
            //     'font-weight' => '700',
            // ),
        ),
        array(
            'id' => 'domik-first-font',
            'type' => 'typography',
            'output' => array('body,.btn,#contact-form input[type="text"],#contact-form input[type="email"] , #contact-form textarea , #comment-form input[type="text"]  , #comment-form textarea,#submit'),
            'title' => esc_html__('Domik Theme Main Font', 'domik'),
            'subtitle' => wp_kses(__('Specify the main font properties for theme style.</br> Default</br>font-family: FuturaPT-Book', 'domik'), array('br','p') ),
            'google' => true,
        ),
        array(
            'id' => 'domik-second-font',
            'type' => 'typography',
            'output' => array('.content-nav li a span,.slide-title h3,.slide-title h4,.page-title h2,.page-title p,.page-title h3,.section-title h3,.project-details ul.descr li span,.show-info,.filter-text,.grid-item h3,.resume-head h3,.resume-box h5,footer p,.arthref .icon-container ul li span,.num, .sinnle-post h2,.blog-title   li,.blog-sidebar h3.head,.blog-text h3  , .comment-form-holder h3 , .comments-holder h3 , .project-details h3,.back-link h2'),
            'title' => esc_html__('Domik Theme Bolder Font', 'domik'),
            'subtitle' => wp_kses(__('This is bolder font used in the theme. Default</br>font-family: futurastd-bold', 'domik'), array('br','p') ),
            'google' => true,
        ),
        array(
            'id' => 'domik-third-font',
            'type' => 'typography',
            'output' => array('blockquote p,.comment-meta, .comment-meta a'),
            'title' => esc_html__('Domik Theme Italic Font', 'domik'),
            'subtitle' => wp_kses(__('Theme italic font. Default</br>font-family: Georgia, "Times New Roman", Times, serif</br>font-style: italic', 'domik'), array('br','p') ),
            'google' => true,
        ),
        array(
            'id' => 'domik-navigation-font',
            'type' => 'typography',
            'output' => array('nav li a'),
            'title' => esc_html__('Domik Theme Navigation Font', 'domik'),
            'subtitle' => wp_kses(__('Theme navigation font. Default</br>font-family: FuturaPT-Book</br>font-size: 11px</br>color: #666666', 'domik'), array('br','p') ),
            'google' => true,
        ),
        
    ),
) );