<?php
/* banner-php */

/**
 * Template Name: Portfolio Style 1
 *
 */

get_header(); 
$port_cats = get_post_meta(get_the_ID(), '_cmb_portfolio_categories', true);
?>
<div class="content mm">
<?php
if(get_post_meta(get_the_ID(),'_cmb_folio_show_filter',true ) == 'yes') : 
    $term_args = array(
        'taxonomy'          => 'skill',
        'orderby'           => domik_get_option('folio_filter_orderby'), //id, count, name, slug, none
        'order'             => domik_get_option('folio_filter_order'),
        'include'           => ($port_cats) ? $port_cats : '',
    );
    $portfolio_skills = get_terms($term_args); 
    $fl_attrs = '';
    if(domik_get_option('folio_filter_width') && domik_get_option('folio_filter_width')!= '30%'){
        $fl_attrs = 'width:'.domik_get_option('folio_filter_width').';';
    }
    if(domik_get_option('folio_filter_height') && domik_get_option('folio_filter_height')!= '60px'){
        $fl_attrs .= ' height:'.domik_get_option('folio_filter_height').';';
    }
    ?>
    <?php if(count($portfolio_skills)): ?>               
        <div class="filter-holder fixed-filter"<?php echo !empty($fl_attrs)? ' style="'.esc_attr($fl_attrs ).'"' : '';?>>
            <div class="gallery-filters vis-filter">
                <a href="#" class="gallery-filter gallery-filter-active"  data-filter="*"><?php _e('All','domik');?></a>             
                <?php foreach($portfolio_skills as $portfolio_skill) { ?>
                    <a href="#" class="gallery-filter " data-filter=".skill-<?php echo esc_attr($portfolio_skill->slug ); ?>"><?php echo esc_html($portfolio_skill->name ); ?></a>
                <?php } ?>
            </div>
        </div>
    <?php 
    endif;
endif;
?>
    <div class="wrapper-inner no-padding full-width-wrap">
        <section class="no-padding no-border folio-grid-folios-wrap">
            <?php

            if(is_front_page()) {
                $paged = (get_query_var('page')) ? get_query_var('page') : 1;
            } else {
                $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
            }
            $posts_per_page = get_post_meta(get_the_ID(),'_cmb_portfolio_count', true );
            $post_args = array(
                'post_type' => 'portfolio',
                'paged' => $paged,
                'posts_per_page'    => $posts_per_page,
                'orderby'           => get_post_meta(get_the_ID(),'_cmb_folio_orderby', true ), //id, author, name, title, date, modified, none
                'order'             => get_post_meta(get_the_ID(),'_cmb_folio_order', true ),
            );
            $folio_exclude = get_post_meta(get_the_ID(),'_cmb_folio_exclude',true );
            $folio_include = get_post_meta(get_the_ID(),'_cmb_folio_include',true );
            $posts_not_in = array();
            $posts_in = array();
            if(!empty($folio_exclude)){
                $posts_not_in = explode(",", $folio_exclude);
            }
            if(!empty($folio_include)){
                $posts_in = explode(",", $folio_include);
            }
            if(!empty($posts_in) && empty($posts_not_in)){
                $post_args['post__in'] = $posts_in;
                $post_args['ignore_sticky_posts'] = true;
            }elseif(empty($posts_in) && !empty($posts_not_in)){
                $post_args['post__not_in'] = $posts_not_in;
            }

            if($port_cats){
                $post_args['tax_query'][] = array(
                    'taxonomy'      => 'skill',
                    'field'         => 'term_id',
                    'terms'         => $port_cats,
                    'include_children' => true // default true
                );
            }
            $folio_posts = new WP_Query($post_args);
            if($folio_posts->have_posts()) : 

                $enable_gallery = get_post_meta(get_the_ID(),'_cmb_folio_enable_gallery', true );
                $additional_vars =  array(
                    'enable_gallery'=>$enable_gallery,
                    // 'show_view_project'=>$show_view_project,
                    // 'show_cat'=>$show_cat,
                    // 'show_excerpt'=>$show_excerpt,
                );


                $grid_cls = 'gallery-items';
                $grid_cls .= ' '.get_post_meta(get_the_ID(),'_cmb_folio_columns', true ).'-coulms';

                if(get_post_meta(get_the_ID(),'_cmb_folio_show_info',true ) == 'no'){
                    $grid_cls .= ' hid-port-info';
                }else{
                    $grid_cls .= ' vis-port-info';
                }
                $grid_cls .= ' grid-'.get_post_meta(get_the_ID(),'_cmb_folio_pad', true ).'-pad';
                if( $enable_gallery == 'yes' ){
                    $grid_cls .= ' folio-gallery';
                }

            ?>

            <div class="<?php echo esc_attr($grid_cls );?>" 
            <?php if( domik_get_option('folio_show_loadmore') && ( $posts_per_page != '-1' && $folio_posts->found_posts && $folio_posts->found_posts > $posts_per_page ) ):
            $lmore_data = $post_args;
            $lmore_data['action'] = 'domik_lm_folio';
            $lmore_data['lmore_items'] = domik_get_option('folio_loadmore_items');
            $lmore_data['additional_vars'] = $additional_vars;
            ?>
             data-lm-request="<?php echo esc_url(admin_url( 'admin-ajax.php' ) ) ;?>"
             data-lm-nonce="<?php echo wp_create_nonce( 'domik_lm_folio' ); ?>"
             data-lm-settings="<?php echo esc_attr(json_encode($lmore_data) ); ?>"
            <?php endif;?>>
                <div class="grid-sizer"></div>
                <?php while($folio_posts->have_posts()) : $folio_posts->the_post(); ?>
                    
                    <?php domik_get_template_part( 'template-parts/folio/list', '' , $additional_vars ); ?>
                
                <?php endwhile; ?>
            </div>
            <?php if( domik_get_option('folio_show_pagination') ) domik_custom_pagination($folio_posts->max_num_pages, $range = 2, $folio_posts );?>
            <?php if( domik_get_option('folio_show_loadmore') && ($posts_per_page != '-1' && $folio_posts->found_posts && $folio_posts->found_posts > $posts_per_page ) ): ?>
            <div class="folio-grid-lmore-holder">
                <a class="folio-load-more" data-click="1" data-remain="yes" href="#"><?php echo wp_kses(__('<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i><span class="sr-only">Loading...</span>','domik'), array('i'=>array('class'=>array()),'span'=>array('class'=>array()),) );?></a>
            </div>
            <?php endif; ?>

            <?php 
            endif;
            wp_reset_postdata();
            ?>

            <?php while(have_posts()) : the_post(); ?>
                                    
                <?php the_content();?>
                <?php wp_link_pages( ); ?>
            
            <?php endwhile; ?>
            
        </section>
    </div>
</div>
<?php
get_footer(); ?>