<?php
/* banner-php */
if(is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
} else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
}
$post_args = array(
    'post_type' => 'portfolio',
    'paged' => $paged,
    'posts_per_page'=> domik_get_option('folio_posts_per_page'),
    'orderby'=> domik_get_option('folio_archive_orderby'),
    'order'=> domik_get_option('folio_archive_order'),
);
$folio_posts = new WP_Query($post_args);
if($folio_posts->have_posts()) : 
?>
<div class="content mm">
<?php 
if(domik_get_option('folio_show_filter')) :  
    $term_args = array(
        'taxonomy'          => 'skill',
        'orderby'           => domik_get_option('folio_filter_orderby'), //id, count, name, slug, none
        'order'             => domik_get_option('folio_filter_order'),
    );
    $fl_attrs = '';
    if(domik_get_option('folio_filter_width') && domik_get_option('folio_filter_width')!= '30%'){
        $fl_attrs = 'width:'.domik_get_option('folio_filter_width').';';
    }
    if(domik_get_option('folio_filter_height') && domik_get_option('folio_filter_height')!= '60px'){
        $fl_attrs .= ' height:'.domik_get_option('folio_filter_height').';';
    }
    $portfolio_skills = get_terms($term_args); 
    if(count($portfolio_skills)): ?>
    <div class="filter-holder fixed-filter"<?php echo !empty($fl_attrs)? ' style="'.esc_attr($fl_attrs ).'"' : '';?>>
        <div class="gallery-filters vis-filter">
            <a href="#" class="gallery-filter gallery-filter-active"  data-filter="*"><?php _e('All','domik');?></a>
            <?php foreach($portfolio_skills as $portfolio_skill) { ?>
                <a href="#" class="gallery-filter " data-filter=".skill-<?php echo esc_attr($portfolio_skill->slug ); ?>"><?php echo esc_html($portfolio_skill->name ); ?></a>
            <?php } ?>
        </div>
    </div>
    <?php
    endif;
endif;
$grid_cls = 'gallery-items';
$grid_cls .= ' '.domik_get_option('folio_column').'-coulms';
if(domik_get_option('folio_show_info_first')){
    $grid_cls .= ' vis-port-info';
}else{
    $grid_cls .= ' hid-port-info';
}
$grid_cls .= ' grid-'.domik_get_option('folio_pad').'-pad';
if( domik_get_option('folio_enable_gallery') ){
    $grid_cls .= ' folio-gallery';
}
?>
    <div class="wrapper-inner no-padding full-width-wrap">             
        <section class="no-padding no-border folio-grid-folios-wrap">
            <div class="<?php echo esc_attr($grid_cls );?>" 
            <?php if( domik_get_option('folio_show_loadmore') && (domik_get_option('folio_posts_per_page') != '-1' && $folio_posts->found_posts && $folio_posts->found_posts > domik_get_option('folio_posts_per_page') ) ):
            $lmore_data = $post_args;
            $lmore_data['action'] = 'domik_lm_folio';
            $lmore_data['lmore_items'] = domik_get_option('folio_loadmore_items');
            ?>
             data-lm-request="<?php echo esc_url(admin_url( 'admin-ajax.php' ) ) ;?>"
             data-lm-nonce="<?php echo wp_create_nonce( 'domik_lm_folio' ); ?>"
             data-lm-settings="<?php echo esc_attr(json_encode($lmore_data) ); ?>"
            <?php endif;?>>
                <div class="grid-sizer"></div>

                <?php while($folio_posts->have_posts()) : $folio_posts->the_post(); ?>
                    
                    <?php get_template_part( 'template-parts/folio/list', '' ); ?>
                
                <?php endwhile; ?>
            </div>
            <!-- end gallery items -->
            <?php if( domik_get_option('folio_show_pagination') ) domik_custom_pagination($folio_posts->max_num_pages, $range = 2, $folio_posts );?>
            <?php if( domik_get_option('folio_show_loadmore') && (domik_get_option('folio_posts_per_page') != '-1' && $folio_posts->found_posts && $folio_posts->found_posts > domik_get_option('folio_posts_per_page') ) ): ?>
            <div class="folio-grid-lmore-holder">
                <a class="folio-load-more" data-click="1" data-remain="yes" href="#"><?php echo wp_kses(__('<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i><span class="sr-only">Loading...</span>','domik'), array('i'=>array('class'=>array()),'span'=>array('class'=>array()),) );?></a>
            </div>
            <?php endif; ?>
        </section>
    </div><!-- end .wrapper-inner-->
</div>
<?php
endif;
wp_reset_postdata();
