<?php
/* banner-php */
get_header('inner'); 
?>
<div class="domik_container">
    <div class="page-title">
    <?php 
        $tax = get_taxonomy( get_queried_object()->taxonomy );
        /* translators: 1: Taxonomy singular name, 2: Current taxonomy term */
        $title = sprintf( __( '%1$s: <br>%2$s','domik' ), $tax->labels->singular_name, single_term_title( '', false ) ); ?>
        <?php echo '<h1 class="title">'.$title.'</h1>';?>
        <?php echo term_description( );?>
    </div>
    <?php
    if(is_front_page()) {
        $paged = (get_query_var('page')) ? get_query_var('page') : 1;
    } else {
        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
    }
    $post_args = array(
        'post_type' => 'portfolio',
        'paged' => $paged,
        'posts_per_page'=> domik_get_option('folio_posts_per_page'),
        'orderby'=> domik_get_option('folio_archive_orderby'),
        'order'=> domik_get_option('folio_archive_order'),
    );
    $t_id = get_queried_object()->term_id;
    $post_args['tax_query'][] = array(
        'taxonomy' => 'skill',
        'field' => 'term_id',
        'terms' => $t_id,
    );
    $folio_posts = new WP_Query($post_args);
    if($folio_posts->have_posts()) : 
    ?>
    <section class="folio-grid-folios-wrap">
    <?php
    $grid_cls = 'gallery-items';
    $grid_cls .= ' '.domik_get_option('folio_column').'-coulms';
    if(domik_get_option('folio_show_info_first')){
        $grid_cls .= ' vis-port-info';
    }else{
        $grid_cls .= ' hid-port-info';
    }
    $grid_cls .= ' grid-'.domik_get_option('folio_pad').'-pad';
    if( domik_get_option('folio_enable_gallery') ){
        $grid_cls .= ' folio-gallery';
    }
    ?>
        <div class="<?php echo esc_attr($grid_cls );?>" 
        <?php if( domik_get_option('folio_show_loadmore') && (domik_get_option('folio_posts_per_page') != '-1' && $folio_posts->found_posts && $folio_posts->found_posts > domik_get_option('folio_posts_per_page') ) ):
        $lmore_data = $post_args;
        $lmore_data['action'] = 'domik_lm_folio';
        $lmore_data['lmore_items'] = domik_get_option('folio_loadmore_items');
        ?>
         data-lm-request="<?php echo esc_url(admin_url( 'admin-ajax.php' ) ) ;?>"
         data-lm-nonce="<?php echo wp_create_nonce( 'domik_lm_folio' ); ?>"
         data-lm-settings="<?php echo esc_attr(json_encode($lmore_data) ); ?>"
        <?php endif;?>>
            <div class="grid-sizer"></div>
            <?php while($folio_posts->have_posts()) : $folio_posts->the_post(); ?>
                    
                <?php get_template_part( 'template-parts/folio/list', '' ); ?>
            
            <?php endwhile; ?>
        </div>
        <?php if( domik_get_option('folio_show_pagination') ) domik_custom_pagination($folio_posts->max_num_pages, $range = 2, $folio_posts );?>   
        <?php if( domik_get_option('folio_show_loadmore') && (domik_get_option('folio_posts_per_page') != '-1' && $folio_posts->found_posts && $folio_posts->found_posts > domik_get_option('folio_posts_per_page') ) ): ?>
        <div class="folio-grid-lmore-holder">
            <a class="folio-load-more" data-click="1" data-remain="yes" href="#"><?php echo wp_kses(__('<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i><span class="sr-only">Loading...</span>','domik'), array('i'=>array('class'=>array()),'span'=>array('class'=>array()),) );?></a>
        </div>
        <?php endif; ?>   
    </section>
    <?php
    endif;
    wp_reset_postdata(); ?>
</div>
<?php get_footer('inner'); ?>